org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadRetryQueueAsyncBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadRetryQueueAsyncBean

    @Retry(maxRetries=1,
           delay=0L,
           jitter=0L,
           retryOn=TestException.class)
     @Bulkhead(value=1,
              waitingTaskQueue=5)
     @Asynchronous
     @ApplicationScoped
    public class BulkheadRetryQueueAsyncBean
    extends Object

Test to ensure that the executions which are retried join the back of the queue

Has a bulkhead of size 1 and a queue size of 5

Retries 1 time on thrown TestException with no delay

### Constructor Summary

Constructors
Constructor and Description
`BulkheadRetryQueueAsyncBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier, RuntimeException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadRetryQueueAsyncBean

    public BulkheadRetryQueueAsyncBean()

### Method Detail

#### test

    public Future<?> test(Barrier barrier,
                          RuntimeException ex)